using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.SteamIntegration
{
    [System.Serializable]
    public class SteamworksStatData
    {
        [HorizontalGroup("line", 0.35f), HideLabel] public string name;
        [HorizontalGroup("line", 0.35f), HideLabel] public string statName;
        [HorizontalGroup("line", 0.3f), HideLabel] public SteamStatType statType = SteamStatType.Integer;

        // [HorizontalGroup("line", 0.2f), HideLabel, ShowIf("@statType == SteamStatType.Integer"), ReadOnly] public int integerValue = 0;
        // [HorizontalGroup("line", 0.2f), HideLabel, ShowIf("@statType == SteamStatType.Float"), ReadOnly] public float floatValue = 0f;
        
    }

    public enum SteamStatType
    {
        Integer,
        Float
    }
}
